import React from "react";
import PropTypes from "prop-types";
import { CheckCircleOutlineRounded, RemoveRounded } from "@material-ui/icons";
import { LinearProgress } from "@material-ui/core";

const ActiveIcon = ({ active, loading }) => {
  if (loading && loading === true) {
    return <LinearProgress />;
  }

  return active && active === true ? (
    <CheckCircleOutlineRounded color="primary" />
  ) : (
    <RemoveRounded />
  );
};

ActiveIcon.propTypes = {
  active: PropTypes.bool,
  loading: PropTypes.bool
};

export default ActiveIcon;
